﻿using System.Collections.Generic;

namespace Magify
{
    public abstract class MagifyEditorMoq
    {
        public abstract ICampaign CampaignFor(string eventName, IReadOnlyDictionary<string, object> customParams = null, bool silent = false);

        public virtual HashSet<LtoInfo> ActiveLtoOffers()
        {
            return new HashSet<LtoInfo>();
        }

        public virtual Dictionary<string, LtoInfo> RegisteredLtoOffers()
        {
            return new Dictionary<string, LtoInfo>();
        }
    }
}