﻿using System.Collections.Generic;

namespace Magify
{
    public class MixedCampaign : ICampaignWithCreative, ICampaignWithProducts
    {
        public CampaignType Type { get; init; } = CampaignType.Mixed;
        public string Name { get; init; }
        public ICreative Creative { get; init; }
        public IReadOnlyList<ProductDef> Products { get; init; }
        IReadOnlyList<ProductDef> ICampaignWithProducts.Products => Products;
    }
}